﻿@model IEnumerable<EnergyMission.Domain.Entities.OrganizationEntity>
@{
    EnergyMission.Domain.Entities.OrganizationEntity clients = new EnergyMission.Domain.Entities.OrganizationEntity();
 
}
@*@Html.Raw(File.ReadAllText(Server.MapPath("~/Views/Shared/_GridViewCommon.txt")))*@
@section Scripts{
<script>



    $(document).ready(function () {

        var value = "@ViewBag.msg";
        $("#AddEditClient").hide();
        if (value == "") {

            $("#errorssms").hide();

        }
        else {
            $("#errorssms").show();

        }

        $("#StateId").change(function () {

            $("#PostCodeId").prop("disabled", false);
            //$("#SuburbId").prop("disabled", true);
            var selectedT = $(this).find("option:selected").val();


            $.getJSON("/LocationMappings/Subdits", { StateIDSu: selectedT },
               function (Result) {

                   value = JSON.stringify(Result);
                   //alert(value);
                   var ddlState = $("#PostCodeId");
                   ddlState.html('');
                   //var mySelect = $('#SiteId');

                   ddlState.append($('<option></option>').val('').html("Select Postcode"));
                   //alert(JSON.stringify(Result.result[0]));
                   $.each(Result.result, function (id, option) {
                       //alert("inside foreach");
                       ddlState.append($('<option></option>').val(option.id).html(option.postCodeNumber));
                   }
                 );
               });


        });


        //$("#Addoganization").click(function () {
          

        //});
        //$("#SuperAdminEmail").autocomplete({
        //    source: function (request, response) {
        //        $.ajax({
        //            url: "/organizations/getclients",
        //            type: "POST",
        //            dataType: "json",
        //            data: { Prefix: request.term },
        //            success: function (data) {
        //                response($.map(data, function (item) {
        //                    return { label: item.Name, value: item.Name };
        //                }))

        //            }
        //        })
        //    },
        //    messages: {
        //        noResults: "", results: ""
        //    }
        //});


    });
    function visible()
    {
     

        $("#AddEditClient").css("Display","Block");

    }
   
    function AddOrgination()
    {

        $("#errorssms").hide();
        $("#AddEditClient").show();
        cancelall();



    }
    function cancelall()
    {


        $("#Id").val('');
        $("#Name").val('');
        SuperAdminEmail.SetValue('');
        $("#SuperAdminEmail").val('');
        $("#NOE").val('');
        $("#sorganization").html('');
        $("#snoe").html('');
        $("#sclinetid").val('');
        $("#ClientAdmin").val('');
        $("#Address").val('');
        $("#saddress").html('');
        $("#City").val('');
        $("#StateId").val('');
        $("#postCodeId").val('');
        $("#spostcode").html('');
        $("#Geo_location_Latitude").val('');
        $("#Geo_location_Longditude").val('');
        $("#sgeolocation").html('');
        $("#sgeolocation1").html('');
        $("#errorssms").hide();


        return false;
    }

    var selectedKeys = "";
    
    function aspxSEClick(selectedValues) {

        $("#errorssms").hide();
        var value = selectedValues;
       
        $.ajax({
                type: "Get",
                url: "/organizations/Edits",
                data: { "Id": value },
                dataType: 'json',
                contentType: "application/json;charset=utf-8",
                success: function (data) {
             //       debugger
             //var ID       = JSON.stringify(data);
             //alert(ID);
                    //var value =data.sgr


             $("#Id").val(data.result[0].id);
             $("#ClientId").val(data.result[0].clientid);
             $("#Name").val(data.result[0].name);
             SuperAdminEmail.SetValue(data.result[0].superAdminEmail);
             //$("#SuperAdminEmail").val(data.result[0].superAdminEmail);
             $("#NOE").val(data.result[0].noe);
             $("#Address").val(data.result[0].address);
             $("#City").val(data.result[0].city);
             $("#StateId").val(data.result[0].stateid);
             $("#PostCodeId").val(data.result[0].postcodeid);
             $("#Geo_location_Latitude").val(data.result[0].geo_location_Latitude);
             $("#Geo_location_Longditude").val(data.result[0].geo_location_Longditude);

             $("#AddEditClient").show();

                    return false;
                },


                error: function (textStatus, errorThrown)
                {
                   
                
                    alert(textStatus);
                    $("#ClientId").val(value);
                }
            });
        
        //for (var i in selectedValues) {
        //    selectedKeys = selectedKeys + selectedValues[i] + ";";
        //}

        //gvRequestsList.PerformCallback();
    }


</script>
    }

<div class="second-menu">
    <h3>Organizations</h3>
    @*<ul class="org-inner-menu">
        <li><a href="#">Contact Site Manager</a></li>
        <li><a href="#">Help</a></li>
        <li><a href="#">Report Error</a></li>
        <li><a href="#">Report Error</a></li>
    </ul>*@
</div>

<div class="examples">
        <div class="gray_bg">

            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>
            <!-- Start White Inner -->

            <div class="white_inner">
              
                <div class="client-admin-login">
                    @Html.Action("GridViewPartial")
                    <a href="javascript:AddOrgination()" id="Addoganization" class="add_new">Add New</a>
                </div>
               
              
               
            </div>
            <div id="AddEditClient">

                @Html.Partial("_AddEditPartial", clients)

            </div>

        </div>



    </div>
